Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 25 Sep 2022 15:23:17 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I need help I ordered this order #9582341913 when I was outside UAE and I just come back but unfortunately some items didn't fit well can I get any exception to return them and also there was problem with the price as the price in the receipt didn't match the price on the website and I didn't notice it when I was making my purchase https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4871482